> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop a job



## OpenAPI

````yaml /api-reference/4.2/service-connectors-jobs.json delete /connectors/jobs/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service connectors-jobs
servers:
  - url: /api/connectors/
security: []
tags:
  - name: connectors
paths:
  /connectors/jobs/{id}:
    delete:
      tags:
        - 4.2 Connectors Jobs API
      summary: Stop a job
      operationId: stopJob
      parameters:
        - name: id
          in: path
          description: The datasource name
          required: true
          schema:
            type: string
        - name: abort
          in: query
          description: Whether to stop the job or not
          required: false
          schema:
            type: boolean
        - name: wait_time
          in: query
          description: The time to wait before aborting a job
          required: false
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: boolean

````